Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic.single.constraintmatchtotalbestscore
Class ConstraintMatchTotalBestScoreStatisticPoint

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.StatisticPoint
          org.optaplanner.benchmark.impl.statistic.single.constraintmatchtotalbestscore.ConstraintMatchTotalBestScoreStatisticPoint

    public class ConstraintMatchTotalBestScoreStatisticPoint

extends StatisticPoint

Field Summary
`protected String` | `constraintName`
`protected String` | `constraintPackage`
`protected int` | `scoreLevel`

Constructor Summary
`ConstraintMatchTotalBestScoreStatisticPoint(long timeMillisSpent, String constraintPackage, String constraintName, int scoreLevel, int constraintMatchCount, double weightTotal)`

Method Summary
`int` | `getConstraintMatchCount()`
`String` | `getConstraintName()`
`String` | `getConstraintPackage()`
`int` | `getScoreLevel()`
`long` | `getTimeMillisSpent()`
`double` | `getWeightTotal()`
`String` | `toCsvLine()`

Methods inherited from class org.optaplanner.benchmark.impl.statistic.StatisticPoint
`buildCsvLine, buildCsvLineWithDoubles, buildCsvLineWithLongs, buildCsvLineWithStrings, parseCsvLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### constraintPackage

    protected final String constraintPackage

### constraintName

    protected final String constraintName

### scoreLevel

    protected final int scoreLevel

Constructor Detail

### ConstraintMatchTotalBestScoreStatisticPoint

    public ConstraintMatchTotalBestScoreStatisticPoint(long timeMillisSpent,
                                                       String constraintPackage,
                                                       String constraintName,
                                                       int scoreLevel,
                                                       int constraintMatchCount,
                                                       double weightTotal)

Method Detail

### getTimeMillisSpent

    public long getTimeMillisSpent()

### getConstraintPackage

    public String getConstraintPackage()

### getConstraintName

    public String getConstraintName()

### getScoreLevel

    public int getScoreLevel()

### getConstraintMatchCount

    public int getConstraintMatchCount()

### getWeightTotal

    public double getWeightTotal()

### toCsvLine

    public String toCsvLine()

  Specified by:
    `toCsvLine` in class `StatisticPoint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2015 JBoss by Red Hat. All Rights Reserved.